# coding: utf-8
"""
    Rg自動計算ツール

    書式:
        > python autorg_kek.py

    用例:
        > python autorg_kek.py

    Copyright (c) 2016, Masatsuyo Takahashi, KEK-PF
"""
import os
import sys
# ----- pyinstaller help imports begin -----------------------------------------
import symbol
import packaging.version
import packaging.specifiers
import numpy
#    mkl_intel_thread.dll
#    mkl_core.dll
#    libiomp5md.dll
#    mkl_avx2.dll
#    mkl_def.dll
# ----- pyinstaller help imports end   -----------------------------------------
import glob
import numpy    as np
import scipy.stats
# import scipy.odr
import lmfit
import statsmodels.api
import pymc
from sklearn import gaussian_process
import openpyxl
import win32com.client
import pythoncom
from matplotlib.ft2font import FT2Font
# import matplotlib

#-------------------------------------------------------------------------------
#   sys.path への処理
#-------------------------------------------------------------------------------
thisdir_ = os.path.dirname( os.path.abspath( __file__ ) )
libdir_ = thisdir_ + '/lib'
if os.path.exists( libdir_ ):
    sys.path.append( libdir_ )
else:
    updir_ = os.path.dirname( thisdir_ )
    libdir_ = updir_ + '/lib'
    if os.path.exists( libdir_ ):
        sys.path.append( libdir_ )

from CommandMain        import CommandMain

#-------------------------------------------------------------------------------
#   Main
#-------------------------------------------------------------------------------
command = CommandMain()
command.run()
