# coding: utf-8
"""
    ExceptionTracebacker.py

    Copyright (c) 2016, Masatsuyo Takahashi, KEK-PF
"""
import sys
import numpy                as np
import traceback

class ExceptionTracebacker:
    def __init__( self ):
        ( exc_type_type_, exc_value, exc_traceback ) = sys.exc_info()
        self.e_seq = traceback.format_exception( exc_type_type_, exc_value, exc_traceback )

    def __str__( self ):
        return ''.join( self.e_seq )
